> ## Documentation Index
> Fetch the complete documentation index at: https://velt-mintlify-e6426361.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete organizations (v1)

> Delete one or more Velt organizations and all of their data using the v1 REST API. Pass an array of organization IDs to remove tenants in bulk.

Use this API to delete specific organization(s) data by their IDs.

# Endpoint

`POST https://api.velt.dev/v1/organizations/delete`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  <Expandable title="properties">
    <ParamField body="organizationIds" type="string[]" required>
      Array of Organization IDs
    </ParamField>
  </Expandable>
</ParamField>

## **Example Requests**

#### Delete specific organization

```JSON theme={null}
{
  "data": {
    "organizationIds": [
      "yourOrganizationId1",
      "yourOrganizationId2"
    ]
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Organization(s) deleted successfully.",
    "data": {
      "yourOrganizationId1": {
        "success": true,
        "id": "02cf91e5e7a5f4c0b600c84cf248384b",
        "message": "Deleted Successfully"
      },
      {
      "yourOrganizationId2": {
        "success": false,
        "id": "02cf91e5e7a5f4c0b600c84cf248384b",
        "message": "Organization does not exist"
      }
    }
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "status": "success",
      "message": "Organization(s) deleted successfully.",
      "data": {
        "yourOrganizationId": {
          "success": true,
          "id": "02cf91e5e7a5f4c0b600c84cf248384b",
          "message": "Deleted Successfully"
        }
      }
    }
  }
  ```
</ResponseExample>
